Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class DataConfiguration

    java.lang.Object
      org.apache.commons.configuration.event.EventSource
          org.apache.commons.configuration.AbstractConfiguration
              org.apache.commons.configuration.DataConfiguration

All Implemented Interfaces:
  Serializable, Configuration

    public class DataConfiguration

extends AbstractConfiguration
implements Serializable

Decorator providing additional getters for any Configuration. This extended Configuration supports more types: URL, Locale, Date, Calendar, Color, as well as lists and arrays for all types.

Let us know if you find this useful, the most frequently used getters are likely to be integrated in the Configuration interface in a future version.

Since:
  1.1
Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
Author:
  Emmanuel Bourg
See Also:
  Serialized Form

Field Summary
`protected Configuration` | `configuration` Stores the wrapped configuration.
`static String` | `DATE_FORMAT_KEY` The key of the property storing the user defined date format.
`static String` | `DEFAULT_DATE_FORMAT` The default format for dates.

Fields inherited from class org.apache.commons.configuration.AbstractConfiguration
`END_TOKEN, EVENT_ADD_PROPERTY, EVENT_CLEAR, EVENT_CLEAR_PROPERTY, EVENT_SET_PROPERTY, START_TOKEN`

Constructor Summary
`DataConfiguration(Configuration configuration)` Creates a new instance of `DataConfiguration` and sets the wrapped configuration.

Method Summary
`protected void` | `addPropertyDirect(String key, Object obj)` Adds a key/value pair to the Configuration.
`void` | `clearProperty(String key)` Removes the specified property from this configuration.
`boolean` | `containsKey(String key)` Check if the configuration contains the specified key.
`BigDecimal[]` | `getBigDecimalArray(String key)` Get an array of BigDecimals associated with the given configuration key.
`BigDecimal[]` | `getBigDecimalArray(String key, BigDecimal[] defaultValue)` Get an array of BigDecimals associated with the given configuration key.
`List` | `getBigDecimalList(String key)` Get a list of BigDecimals associated with the given configuration key.
`List` | `getBigDecimalList(String key, List defaultValue)` Get a list of BigDecimals associated with the given configuration key.
`BigInteger[]` | `getBigIntegerArray(String key)` Get an array of BigIntegers associated with the given configuration key.
`BigInteger[]` | `getBigIntegerArray(String key, BigInteger[] defaultValue)` Get an array of BigIntegers associated with the given configuration key.
`List` | `getBigIntegerList(String key)` Get a list of BigIntegers associated with the given configuration key.
`List` | `getBigIntegerList(String key, List defaultValue)` Get a list of BigIntegers associated with the given configuration key.
`boolean[]` | `getBooleanArray(String key)` Get an array of boolean primitives associated with the given configuration key.
`boolean[]` | `getBooleanArray(String key, boolean[] defaultValue)` Get an array of boolean primitives associated with the given configuration key.
`List` | `getBooleanList(String key)` Get a list of Boolean objects associated with the given configuration key.
`List` | `getBooleanList(String key, List defaultValue)` Get a list of Boolean objects associated with the given configuration key.
`byte[]` | `getByteArray(String key)` Get an array of byte primitives associated with the given configuration key.
`byte[]` | `getByteArray(String key, byte[] defaultValue)` Get an array of byte primitives associated with the given configuration key.
`List` | `getByteList(String key)` Get a list of Byte objects associated with the given configuration key.
`List` | `getByteList(String key, List defaultValue)` Get a list of Byte objects associated with the given configuration key.
`Calendar` | `getCalendar(String key)` Get a Calendar associated with the given configuration key.
`Calendar` | `getCalendar(String key, Calendar defaultValue)` Get a Calendar associated with the given configuration key.
`Calendar` | `getCalendar(String key, Calendar defaultValue, String format)` Get a Calendar associated with the given configuration key.
`Calendar` | `getCalendar(String key, String format)` Get a Calendar associated with the given configuration key.
`Calendar[]` | `getCalendarArray(String key)` Get an array of Calendars associated with the given configuration key.
`Calendar[]` | `getCalendarArray(String key, Calendar[] defaultValue)` Get an array of Calendars associated with the given configuration key.
`Calendar[]` | `getCalendarArray(String key, Calendar[] defaultValue, String format)` Get an array of Calendars associated with the given configuration key.
`Calendar[]` | `getCalendarArray(String key, String format)` Get an array of Calendars associated with the given configuration key.
`List` | `getCalendarList(String key)` Get a list of Calendars associated with the given configuration key.
`List` | `getCalendarList(String key, List defaultValue)` Get a list of Calendars associated with the given configuration key.
`List` | `getCalendarList(String key, List defaultValue, String format)` Get a list of Calendars associated with the given configuration key.
`List` | `getCalendarList(String key, String format)` Get a list of Calendars associated with the given configuration key.
`Color` | `getColor(String key)` Get a Color associated with the given configuration key.
`Color` | `getColor(String key, Color defaultValue)` Get a Color associated with the given configuration key.
`Color[]` | `getColorArray(String key)` Get an array of Colors associated with the given configuration key.
`Color[]` | `getColorArray(String key, Color[] defaultValue)` Get an array of Colors associated with the given configuration key.
`List` | `getColorList(String key)` Get a list of Colors associated with the given configuration key.
`List` | `getColorList(String key, List defaultValue)` Get a list of Colors associated with the given configuration key.
`Configuration` | `getConfiguration()` Return the configuration decorated by this DataConfiguration.
`Date` | `getDate(String key)` Get a Date associated with the given configuration key.
`Date` | `getDate(String key, Date defaultValue)` Get a Date associated with the given configuration key.
`Date` | `getDate(String key, Date defaultValue, String format)` Get a Date associated with the given configuration key.
`Date` | `getDate(String key, String format)` Get a Date associated with the given configuration key.
`Date[]` | `getDateArray(String key)` Get an array of Dates associated with the given configuration key.
`Date[]` | `getDateArray(String key, Date[] defaultValue)` Get an array of Dates associated with the given configuration key.
`Date[]` | `getDateArray(String key, Date[] defaultValue, String format)` Get an array of Dates associated with the given configuration key.
`Date[]` | `getDateArray(String key, String format)` Get an array of Dates associated with the given configuration key.
`List` | `getDateList(String key)` Get a list of Dates associated with the given configuration key.
`List` | `getDateList(String key, List defaultValue)` Get a list of Dates associated with the given configuration key.
`List` | `getDateList(String key, List defaultValue, String format)` Get a list of Dates associated with the given configuration key.
`List` | `getDateList(String key, String format)` Get a list of Dates associated with the given configuration key.
`double[]` | `getDoubleArray(String key)` Get an array of double primitives associated with the given configuration key.
`double[]` | `getDoubleArray(String key, double[] defaultValue)` Get an array of double primitives associated with the given configuration key.
`List` | `getDoubleList(String key)` Get a list of Double objects associated with the given configuration key.
`List` | `getDoubleList(String key, List defaultValue)` Get a list of Double objects associated with the given configuration key.
`float[]` | `getFloatArray(String key)` Get an array of float primitives associated with the given configuration key.
`float[]` | `getFloatArray(String key, float[] defaultValue)` Get an array of float primitives associated with the given configuration key.
`List` | `getFloatList(String key)` Get a list of Float objects associated with the given configuration key.
`List` | `getFloatList(String key, List defaultValue)` Get a list of Float objects associated with the given configuration key.
`int[]` | `getIntArray(String key)` Get an array of int primitives associated with the given configuration key.
`int[]` | `getIntArray(String key, int[] defaultValue)` Get an array of int primitives associated with the given configuration key.
`List` | `getIntegerList(String key)` Get a list of Integer objects associated with the given configuration key.
`List` | `getIntegerList(String key, List defaultValue)` Get a list of Integer objects associated with the given configuration key.
`Iterator` | `getKeys()` Get the list of the keys contained in the configuration.
`Locale` | `getLocale(String key)` Get a Locale associated with the given configuration key.
`Locale` | `getLocale(String key, Locale defaultValue)` Get a Locale associated with the given configuration key.
`Locale[]` | `getLocaleArray(String key)` Get an array of Locales associated with the given configuration key.
`Locale[]` | `getLocaleArray(String key, Locale[] defaultValue)` Get an array of Locales associated with the given configuration key.
`List` | `getLocaleList(String key)` Get a list of Locales associated with the given configuration key.
`List` | `getLocaleList(String key, List defaultValue)` Get a list of Locales associated with the given configuration key.
`long[]` | `getLongArray(String key)` Get an array of long primitives associated with the given configuration key.
`long[]` | `getLongArray(String key, long[] defaultValue)` Get an array of long primitives associated with the given configuration key.
`List` | `getLongList(String key)` Get a list of Long objects associated with the given configuration key.
`List` | `getLongList(String key, List defaultValue)` Get a list of Long objects associated with the given configuration key.
`Object` | `getProperty(String key)` Gets a property from the configuration.
`short[]` | `getShortArray(String key)` Get an array of short primitives associated with the given configuration key.
`short[]` | `getShortArray(String key, short[] defaultValue)` Get an array of short primitives associated with the given configuration key.
`List` | `getShortList(String key)` Get a list of Short objects associated with the given configuration key.
`List` | `getShortList(String key, List defaultValue)` Get a list of Short objects associated with the given configuration key.
`URL` | `getURL(String key)` Get an URL associated with the given configuration key.
`URL` | `getURL(String key, URL defaultValue)` Get an URL associated with the given configuration key.
`URL[]` | `getURLArray(String key)` Get an array of URLs associated with the given configuration key.
`URL[]` | `getURLArray(String key, URL[] defaultValue)` Get an array of URLs associated with the given configuration key.
`List` | `getURLList(String key)` Get a list of URLs associated with the given configuration key.
`List` | `getURLList(String key, List defaultValue)` Get a list of URLs associated with the given configuration key.
`boolean` | `isEmpty()` Check if the configuration is empty.

Methods inherited from class org.apache.commons.configuration.AbstractConfiguration
`addProperty, clear, clearPropertyDirect, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDefaultListDelimiter, getDelimiter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getKeys, getList, getList, getListDelimiter, getLong, getLong, getLong, getProperties, getProperties, getShort, getShort, getShort, getString, getString, getStringArray, interpolate, interpolate, interpolateHelper, isDelimiterParsingDisabled, isThrowExceptionOnMissing, resolveContainerStore, setDefaultListDelimiter, setDelimiter, setDelimiterParsingDisabled, setListDelimiter, setProperty, setThrowExceptionOnMissing, subset`

Methods inherited from class org.apache.commons.configuration.event.EventSource
`addConfigurationListener, clearConfigurationListeners, createEvent, fireEvent, getConfigurationListeners, isDetailEvents, removeConfigurationListener, setDetailEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT_KEY

    public static final String DATE_FORMAT_KEY

  The key of the property storing the user defined date format.

  See Also:
    Constant Field Values

### DEFAULT_DATE_FORMAT

    public static final String DEFAULT_DATE_FORMAT

  The default format for dates.

  See Also:
    Constant Field Values

### configuration

    protected Configuration configuration

  Stores the wrapped configuration.

Constructor Detail

### DataConfiguration

    public DataConfiguration(Configuration configuration)

  Creates a new instance of `DataConfiguration` and sets the wrapped configuration.

  Parameters:
    `configuration` - the wrapped configuration

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Return the configuration decorated by this DataConfiguration.

  Returns:
    the wrapped configuration

### getProperty

    public Object getProperty(String key)

  Description copied from interface: `Configuration`
  Gets a property from the configuration. This is the most basic get method for retrieving values of properties. In a typical implementation of the `Configuration` interface the other get methods (that return specific data types) will internally make use of this method. On this level variable substitution is not yet performed. The returned object is an internal representation of the property value for the passed in key. It is owned by the `Configuration` object. So a caller should not modify this object. It cannot be guaranteed that this object will stay constant over time (i.e. further update operations on the configuration may change its internal state).

  Specified by:
    `getProperty` in interface `Configuration`
  Parameters:
    `key` - property to retrieve
  Returns:
    the value to which this configuration maps the specified key, or null if the configuration contains no mapping for this key.

### addPropertyDirect

    protected void addPropertyDirect(String key,
                                     Object obj)

  Description copied from class: `AbstractConfiguration`
  Adds a key/value pair to the Configuration. Override this method to provide write acces to underlying Configuration store.

  Specified by:
    `addPropertyDirect` in class `AbstractConfiguration`
  Parameters:
    `key` - key to use for mapping
    `obj` - object to store

### isEmpty

    public boolean isEmpty()

  Description copied from class: `AbstractConfiguration`
  Check if the configuration is empty.

  Specified by:
    `isEmpty` in interface `Configuration`
  Specified by:
    `isEmpty` in class `AbstractConfiguration`
  Returns:
    `true` if the configuration contains no property, `false` otherwise.

### containsKey

    public boolean containsKey(String key)

  Description copied from class: `AbstractConfiguration`
  Check if the configuration contains the specified key.

  Specified by:
    `containsKey` in interface `Configuration`
  Specified by:
    `containsKey` in class `AbstractConfiguration`
  Parameters:
    `key` - the key whose presence in this configuration is to be tested
  Returns:
    `true` if the configuration contains a value for this key, `false` otherwise

### clearProperty

    public void clearProperty(String key)

  Description copied from class: `AbstractConfiguration`
  Removes the specified property from this configuration. This implementation performs some preparations and then delegates to `clearPropertyDirect()`, which will do the real work.

  Specified by:
    `clearProperty` in interface `Configuration`
  Overrides:
    `clearProperty` in class `AbstractConfiguration`
  Parameters:
    `key` - the key to be removed

### getKeys

    public Iterator getKeys()

  Description copied from class: `AbstractConfiguration`
  Get the list of the keys contained in the configuration. The returned iterator can be used to obtain all defined keys. Note that the exact behavior of the iterator's `remove()` method is specific to a concrete implementation. It may remove the corresponding property from the configuration, but this is not guaranteed. In any case it is no replacement for calling ``Configuration.clearProperty(String)`` for this property. So it is highly recommended to avoid using the iterator's `remove()` method.

  Specified by:
    `getKeys` in interface `Configuration`
  Specified by:
    `getKeys` in class `AbstractConfiguration`
  Returns:
    An Iterator.

### getBooleanList

    public List getBooleanList(String key)

  Get a list of Boolean objects associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Boolean list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of booleans.

### getBooleanList

    public List getBooleanList(String key,
                               List defaultValue)

  Get a list of Boolean objects associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of strings.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of booleans.

### getBooleanArray

    public boolean[] getBooleanArray(String key)

  Get an array of boolean primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated boolean array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of booleans.

### getBooleanArray

    public boolean[] getBooleanArray(String key,
                                     boolean[] defaultValue)

  Get an array of boolean primitives associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated boolean array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of booleans.

### getByteList

    public List getByteList(String key)

  Get a list of Byte objects associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Byte list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of bytes.

### getByteList

    public List getByteList(String key,
                            List defaultValue)

  Get a list of Byte objects associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of Bytes.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of bytes.

### getByteArray

    public byte[] getByteArray(String key)

  Get an array of byte primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated byte array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of bytes.

### getByteArray

    public byte[] getByteArray(String key,
                               byte[] defaultValue)

  Get an array of byte primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated byte array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of bytes.

### getShortList

    public List getShortList(String key)

  Get a list of Short objects associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Short list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of shorts.

### getShortList

    public List getShortList(String key,
                             List defaultValue)

  Get a list of Short objects associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of Shorts.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of shorts.

### getShortArray

    public short[] getShortArray(String key)

  Get an array of short primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated short array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of shorts.

### getShortArray

    public short[] getShortArray(String key,
                                 short[] defaultValue)

  Get an array of short primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated short array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of shorts.

### getIntegerList

    public List getIntegerList(String key)

  Get a list of Integer objects associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Integer list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of integers.

### getIntegerList

    public List getIntegerList(String key,
                               List defaultValue)

  Get a list of Integer objects associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of Integers.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of integers.

### getIntArray

    public int[] getIntArray(String key)

  Get an array of int primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated int array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of integers.

### getIntArray

    public int[] getIntArray(String key,
                             int[] defaultValue)

  Get an array of int primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated int array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of integers.

### getLongList

    public List getLongList(String key)

  Get a list of Long objects associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Long list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of longs.

### getLongList

    public List getLongList(String key,
                            List defaultValue)

  Get a list of Long objects associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of Longs.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of longs.

### getLongArray

    public long[] getLongArray(String key)

  Get an array of long primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated long array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of longs.

### getLongArray

    public long[] getLongArray(String key,
                               long[] defaultValue)

  Get an array of long primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated long array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of longs.

### getFloatList

    public List getFloatList(String key)

  Get a list of Float objects associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Float list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of floats.

### getFloatList

    public List getFloatList(String key,
                             List defaultValue)

  Get a list of Float objects associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of Floats.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of floats.

### getFloatArray

    public float[] getFloatArray(String key)

  Get an array of float primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated float array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of floats.

### getFloatArray

    public float[] getFloatArray(String key,
                                 float[] defaultValue)

  Get an array of float primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated float array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of floats.

### getDoubleList

    public List getDoubleList(String key)

  Get a list of Double objects associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Double list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of doubles.

### getDoubleList

    public List getDoubleList(String key,
                              List defaultValue)

  Get a list of Double objects associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of Doubles.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of doubles.

### getDoubleArray

    public double[] getDoubleArray(String key)

  Get an array of double primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated double array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of doubles.

### getDoubleArray

    public double[] getDoubleArray(String key,
                                   double[] defaultValue)

  Get an array of double primitives associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated double array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of doubles.

### getBigIntegerList

    public List getBigIntegerList(String key)

  Get a list of BigIntegers associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated BigInteger list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of BigIntegers.

### getBigIntegerList

    public List getBigIntegerList(String key,
                                  List defaultValue)

  Get a list of BigIntegers associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of BigIntegers.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of BigIntegers.

### getBigIntegerArray

    public BigInteger[] getBigIntegerArray(String key)

  Get an array of BigIntegers associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated BigInteger array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of BigIntegers.

### getBigIntegerArray

    public BigInteger[] getBigIntegerArray(String key,
                                           BigInteger[] defaultValue)

  Get an array of BigIntegers associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated BigInteger array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of BigIntegers.

### getBigDecimalList

    public List getBigDecimalList(String key)

  Get a list of BigDecimals associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated BigDecimal list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of BigDecimals.

### getBigDecimalList

    public List getBigDecimalList(String key,
                                  List defaultValue)

  Get a list of BigDecimals associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of BigDecimals.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of BigDecimals.

### getBigDecimalArray

    public BigDecimal[] getBigDecimalArray(String key)

  Get an array of BigDecimals associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated BigDecimal array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of BigDecimals.

### getBigDecimalArray

    public BigDecimal[] getBigDecimalArray(String key,
                                           BigDecimal[] defaultValue)

  Get an array of BigDecimals associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated BigDecimal array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of BigDecimals.

### getURL

    public URL getURL(String key)

  Get an URL associated with the given configuration key.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated URL.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not an URL.

### getURL

    public URL getURL(String key,
                      URL defaultValue)

  Get an URL associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated URL.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not an URL.

### getURLList

    public List getURLList(String key)

  Get a list of URLs associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated URL list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of URLs.

### getURLList

    public List getURLList(String key,
                           List defaultValue)

  Get a list of URLs associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of URLs.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of URLs.

### getURLArray

    public URL[] getURLArray(String key)

  Get an array of URLs associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated URL array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of URLs.

### getURLArray

    public URL[] getURLArray(String key,
                             URL[] defaultValue)

  Get an array of URLs associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated URL array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of URLs.

### getDate

    public Date getDate(String key)

  Get a Date associated with the given configuration key. If the property is a String, it will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Date.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Date.

### getDate

    public Date getDate(String key,
                        String format)

  Get a Date associated with the given configuration key. If the property is a String, it will be parsed with the specified format pattern.

  Parameters:
    `key` - The configuration key.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Date
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Date.

### getDate

    public Date getDate(String key,
                        Date defaultValue)

  Get a Date associated with the given configuration key. If the property is a String, it will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated Date.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Date.

### getDate

    public Date getDate(String key,
                        Date defaultValue,
                        String format)

  Get a Date associated with the given configuration key. If the property is a String, it will be parsed with the specified format pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Date.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Date.

### getDateList

    public List getDateList(String key)

  Get a list of Dates associated with the given configuration key. If the property is a list of Strings, they will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Date list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Dates.

### getDateList

    public List getDateList(String key,
                            String format)

  Get a list of Dates associated with the given configuration key. If the property is a list of Strings, they will be parsed with the specified format pattern. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Date list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Dates.

### getDateList

    public List getDateList(String key,
                            List defaultValue)

  Get a list of Dates associated with the given configuration key. If the property is a list of Strings, they will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated Date list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Dates.

### getDateList

    public List getDateList(String key,
                            List defaultValue,
                            String format)

  Get a list of Dates associated with the given configuration key. If the property is a list of Strings, they will be parsed with the specified format pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Date list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Dates.

### getDateArray

    public Date[] getDateArray(String key)

  Get an array of Dates associated with the given configuration key. If the property is a list of Strings, they will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Date array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Dates.

### getDateArray

    public Date[] getDateArray(String key,
                               String format)

  Get an array of Dates associated with the given configuration key. If the property is a list of Strings, they will be parsed with the specified format pattern. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Date array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Dates.

### getDateArray

    public Date[] getDateArray(String key,
                               Date[] defaultValue)

  Get an array of Dates associated with the given configuration key. If the property is a list of Strings, they will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated Date array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Dates.

### getDateArray

    public Date[] getDateArray(String key,
                               Date[] defaultValue,
                               String format)

  Get an array of Dates associated with the given configuration key. If the property is a list of Strings, they will be parsed with the specified format pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Date array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Dates.

### getCalendar

    public Calendar getCalendar(String key)

  Get a Calendar associated with the given configuration key. If the property is a String, it will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Calendar.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Calendar.

### getCalendar

    public Calendar getCalendar(String key,
                                String format)

  Get a Calendar associated with the given configuration key. If the property is a String, it will be parsed with the specified format pattern.

  Parameters:
    `key` - The configuration key.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Calendar
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Calendar.

### getCalendar

    public Calendar getCalendar(String key,
                                Calendar defaultValue)

  Get a Calendar associated with the given configuration key. If the property is a String, it will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated Calendar.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Calendar.

### getCalendar

    public Calendar getCalendar(String key,
                                Calendar defaultValue,
                                String format)

  Get a Calendar associated with the given configuration key. If the property is a String, it will be parsed with the specified format pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Calendar.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Calendar.

### getCalendarList

    public List getCalendarList(String key)

  Get a list of Calendars associated with the given configuration key. If the property is a list of Strings, they will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Calendar list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Calendars.

### getCalendarList

    public List getCalendarList(String key,
                                String format)

  Get a list of Calendars associated with the given configuration key. If the property is a list of Strings, they will be parsed with the specified format pattern. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Calendar list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Calendars.

### getCalendarList

    public List getCalendarList(String key,
                                List defaultValue)

  Get a list of Calendars associated with the given configuration key. If the property is a list of Strings, they will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated Calendar list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Calendars.

### getCalendarList

    public List getCalendarList(String key,
                                List defaultValue,
                                String format)

  Get a list of Calendars associated with the given configuration key. If the property is a list of Strings, they will be parsed with the specified format pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Calendar list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Calendars.

### getCalendarArray

    public Calendar[] getCalendarArray(String key)

  Get an array of Calendars associated with the given configuration key. If the property is a list of Strings, they will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Calendar array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Calendars.

### getCalendarArray

    public Calendar[] getCalendarArray(String key,
                                       String format)

  Get an array of Calendars associated with the given configuration key. If the property is a list of Strings, they will be parsed with the specified format pattern. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Calendar array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Calendars.

### getCalendarArray

    public Calendar[] getCalendarArray(String key,
                                       Calendar[] defaultValue)

  Get an array of Calendars associated with the given configuration key. If the property is a list of Strings, they will be parsed with the format defined by the user in the `DATE_FORMAT_KEY` property, or if it's not defined with the `DEFAULT_DATE_FORMAT` pattern. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated Calendar array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Calendars.

### getCalendarArray

    public Calendar[] getCalendarArray(String key,
                                       Calendar[] defaultValue,
                                       String format)

  Get an array of Calendars associated with the given configuration key. If the property is a list of Strings, they will be parsed with the specified format pattern. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
    `format` - The non-localized `DateFormat` pattern.
  Returns:
    The associated Calendar array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Calendars.

### getLocale

    public Locale getLocale(String key)

  Get a Locale associated with the given configuration key.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Locale.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Locale.

### getLocale

    public Locale getLocale(String key,
                            Locale defaultValue)

  Get a Locale associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated Locale.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Locale.

### getLocaleList

    public List getLocaleList(String key)

  Get a list of Locales associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Locale list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Locales.

### getLocaleList

    public List getLocaleList(String key,
                              List defaultValue)

  Get a list of Locales associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of Locales.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Locales.

### getLocaleArray

    public Locale[] getLocaleArray(String key)

  Get an array of Locales associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Locale array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Locales.

### getLocaleArray

    public Locale[] getLocaleArray(String key,
                                   Locale[] defaultValue)

  Get an array of Locales associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated Locale array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Locales.

### getColor

    public Color getColor(String key)

  Get a Color associated with the given configuration key.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Color.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Color.

### getColor

    public Color getColor(String key,
                          Color defaultValue)

  Get a Color associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated Color.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a Color.

### getColorList

    public List getColorList(String key)

  Get a list of Colors associated with the given configuration key. If the key doesn't map to an existing object an empty list is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Color list if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Colors.

### getColorList

    public List getColorList(String key,
                             List defaultValue)

  Get a list of Colors associated with the given configuration key. If the key doesn't map to an existing object, the default value is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated List of Colors.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Colors.

### getColorArray

    public Color[] getColorArray(String key)

  Get an array of Colors associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Color array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Colors.

### getColorArray

    public Color[] getColorArray(String key,
                                 Color[] defaultValue)

  Get an array of Colors associated with the given configuration key. If the key doesn't map to an existing object an empty array is returned.

  Parameters:
    `key` - The configuration key.
    `defaultValue` - the default value, which will be returned if the property is not found
  Returns:
    The associated Color array if the key is found.
  Throws:
    `ConversionException` - is thrown if the key maps to an object that is not a list of Colors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.